Skip to main content
GET
/
config
Get OS Configuration
curl --request GET \
  --url https://api.example.com/config \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/config"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "demo",
  "description": "Example AgentOS configuration",
  "available_models": [],
  "databases": [
    "9c884dc4-9066-448c-9074-ef49ec7eb73c"
  ],
  "session": {
    "dbs": [
      {
        "db_id": "9c884dc4-9066-448c-9074-ef49ec7eb73c",
        "domain_config": {
          "display_name": "Sessions"
        }
      }
    ]
  },
  "metrics": {
    "dbs": [
      {
        "db_id": "9c884dc4-9066-448c-9074-ef49ec7eb73c",
        "domain_config": {
          "display_name": "Metrics"
        }
      }
    ]
  },
  "memory": {
    "dbs": [
      {
        "db_id": "9c884dc4-9066-448c-9074-ef49ec7eb73c",
        "domain_config": {
          "display_name": "Memory"
        }
      }
    ]
  },
  "knowledge": {
    "dbs": [
      {
        "db_id": "9c884dc4-9066-448c-9074-ef49ec7eb73c",
        "domain_config": {
          "display_name": "Knowledge"
        }
      }
    ]
  },
  "evals": {
    "dbs": [
      {
        "db_id": "9c884dc4-9066-448c-9074-ef49ec7eb73c",
        "domain_config": {
          "display_name": "Evals"
        }
      }
    ]
  },
  "agents": [
    {
      "id": "main-agent",
      "name": "Main Agent",
      "db_id": "9c884dc4-9066-448c-9074-ef49ec7eb73c"
    }
  ],
  "teams": [],
  "workflows": [],
  "interfaces": []
}
{
"detail": "Bad request",
"error_code": "BAD_REQUEST"
}
{
"detail": "Unauthenticated access",
"error_code": "UNAUTHENTICATED"
}
{
"detail": "Not found",
"error_code": "NOT_FOUND"
}
{
"detail": "Validation error",
"error_code": "VALIDATION_ERROR"
}
{
"detail": "Internal server error",
"error_code": "INTERNAL_SERVER_ERROR"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

OS configuration retrieved successfully

Response schema for the general config endpoint

os_id
string
required

Unique identifier for the OS instance

databases
string[]
required

List of database IDs used by the components of the OS instance

agents
AgentSummaryResponse · object[]
required

List of registered agents

teams
TeamSummaryResponse · object[]
required

List of registered teams

workflows
WorkflowSummaryResponse · object[]
required

List of registered workflows

interfaces
InterfaceResponse · object[]
required

List of available interfaces

name
string | null

Name of the OS instance

description
string | null

Description of the OS instance

available_models
string[] | null

List of available models

os_database
string | null

ID of the database used for the OS instance

chat
ChatConfig · object | null

Chat configuration

session
SessionConfig · object | null

Session configuration

metrics
MetricsConfig · object | null

Metrics configuration

memory
MemoryConfig · object | null

Memory configuration

knowledge
KnowledgeConfig · object | null

Knowledge configuration

evals
EvalsConfig · object | null

Evaluations configuration

traces
TracesConfig · object | null

Traces configuration